gtkmm: Gtk::Fixed Class Reference

# Gtk::Fixed Class Reference
[Widgets, Container Widgets]

A container which allows you to position widgets at fixed coordinates. More...

Inherits Gtk::Container.

Collaboration diagram for Gtk::Fixed:
[legend]

List of all members.

## Public Member Functions
virtual | ~Fixed ()
GtkFixed* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkFixed* | gobj () const
| Provides access to the underlying C GtkObject.
| Fixed ()
void | put (Widget& widget, int x, int y)
void | move (Widget& widget, int x, int y)
void | set_has_window (bool has_window=true)
| Sets whether a Gtk::Fixed widget is created with a separate Gdk::Window for widget->window or not.
bool | get_has_window () const
| Gets whether the Gtk::Fixed has its own Gdk::Window.
## Related Functions
(Note that these are not member functions.)
Gtk::Fixed* | wrap (GtkFixed* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A container which allows you to position widgets at fixed coordinates.

The Gtk::Fixed widget is a container which can place child widgets at fixed positions and with fixed sizes, given in pixels. It performs no automatic layout management. For most applications, you should not use this container, because it will result in truncated text, overlapping widgets, and other display bugs:

- Themes may change widget sizes.
- Fonts other than the one you used to write the app will of course change the size of widgets containing text; keep in mind that users may use a larger font because of difficulty reading the default, or they may be using Windows or the framebuffer port of GTK+, where different fonts are available.
- Translation of text into other languages changes its size. Also, display of non-English text will use a different font in many cases. In addition, the fixed widget can't properly be mirrored in right-to-left languages such as Hebrew and Arabic. i.e. normally GTK+ will flip the interface to put labels to the right of the thing they label, but it can't do that with Gtk::Fixed. So your application will not be usable in right-to-left languages. Finally, fixed positioning makes it kind of annoying to add/remove GUI elements, since you have to reposition all the other elements. This is a long-term maintenance problem for your application. If you know none of these things are an issue for your application, and prefer the simplicity of Gtk::Fixed, by all means use the widget. But you should be aware of the tradeoffs.

## Constructor & Destructor Documentation

virtual Gtk::Fixed::~Fixed | ( |  | ) | `[virtual]`

Gtk::Fixed::Fixed | ( |  | ) |

## Member Function Documentation

bool Gtk::Fixed::get_has_window | ( |  | ) | const

Gets whether the Gtk::Fixed has its own Gdk::Window.

See set_has_window().

Deprecated: 2.20: Use Gtk::Widget::get_has_window() instead.

Returns:
  `true` if fixed has its own window.

Reimplemented from Gtk::Widget.

const GtkFixed* Gtk::Fixed::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Container.

GtkFixed* Gtk::Fixed::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Container.

void Gtk::Fixed::move | ( | Widget& | widget,
|  | int | x,
|  | int | y |
| ) |  |  |

void Gtk::Fixed::put | ( | Widget& | widget,
|  | int | x,
|  | int | y |
| ) |  |  |

void Gtk::Fixed::set_has_window | ( | bool | has_window = `true` | ) |

Sets whether a Gtk::Fixed widget is created with a separate Gdk::Window for widget->window or not.

(By default, it will be created with no separate Gdk::Window). This function must be called while the Gtk::Fixed is not realized, for instance, immediately after the window is created.

This function was added to provide an easy migration path for older applications which may expect Gtk::Fixed to have a separate window.

Deprecated: 2.20: Use Gtk::Widget::set_has_window() instead.

Parameters:

  | has_window | `true` if a separate window should be created.

Reimplemented from Gtk::Widget.

## Friends And Related Function Documentation

Gtk::Fixed* wrap | ( | GtkFixed * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/fixed.h